Subject: Re: [bmwg] In Service Software Upgrade Draft

From: "Fernando Calabria (fcalabri)" <[email-masked]>
Date: Tue, 8 Jul 2014 12:28:15 +0000

The point we were discussing was the fact that some implementations will
reset the session timers / statistics. While the ISSU process may / should
not affect the control and forwarding plane, in  some implementations the
timers for the session up-time and other statistics   are reset . Should
we address this as part of the Exit criteria for an ISSU process ?

Rgds 

Fernando 

On 7/8/14, 8:16 AM, "MORTON, ALFRED C (AL)" <[email-masked]> wrote:

>> -----Original Message-----
>> From: bmwg [mailto:[email-masked]] On Behalf Of Banks, Sarah
>...
>> 	The ISSU draft is in a pretty solid state, from the authors point of
>> view. We wanted to solicit a bit of feedback, and make sure we've
>>covered
>> all bases. There was some discussion around the authors as to adding
>>some
>> text around timers and counters in the draft - do you trust the DUT?
>> Should you confirm these outside of the DUT? Etc. Thoughts?
>> 
>> Kind regards,
>> Sarah & Fernando & Gery
>> 
>
>I gave this topic some thought last week:
>
>http://tools.ietf.org/html/draft-morton-bmwg-virtual-net-01#section-4.2
>
>   ... external observations remain essential as the
>   basis for Benchmarks.  Internal observations with fixed specification
>   and interpretation may be provided in parallel, to assist the
>   development of operations procedures when the technology is deployed,
>   for example.  Internal metrics and measurements from Open Source
>   implementations may be the only direct source of performance results
>   in a desired dimension, but corroborating external observations are
>   still required to assure the integrity of measurement discipline was
>   maintained for all reported results.
>
>This text is new and isn't agreed yet, it's my thoughts on the topic.
>Al
>(as a participant)
>
>_______________________________________________
>bmwg mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/bmwg

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Tue, 8 Jul 2014 09:15:55 -0400

So you're saying that some of the internal state
(counters, statistics) may not be maintained across 
the up-grade?

That's something to note in the report, IMO.
Al

> From: Fernando Calabria (fcalabri) [mailto:[email-masked]]
> Sent: Tuesday, July 08, 2014 8:28 AM
> To: MORTON, ALFRED C (AL); Banks, Sarah; [email-masked]
> Subject: Re: [bmwg] In Service Software Upgrade Draft
>